Poll device login for token
POST
/v1/auth/device/token
const url = 'https://shareout.site/v1/auth/device/token';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"device_code":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/auth/device/token \ --header 'Content-Type: application/json' \ --data '{ "device_code": "example" }'Poll with the device_code secret. Returns pending until the browser OAuth step completes, then delivers the so_ token exactly once.
Request Body required
Section titled “Request Body required ” Media type application/json
object
device_code
required
string
Example generated
{ "device_code": "example"}Responses
Section titled “ Responses ”Pending or approved
Media type application/json
Expired_token, access_denied, or invalid_grant